[
    {
        "desc": "查询委员会成员地址数组",
        "constant": true,
        "inputs": [],
        "name": "getCommitees",
        "outputs": [
            {
                "name": "",
                "type": "address[]"
            }
        ],
        "payable": false,
        "stateMutability": "view",
        "type": "function"
    },
    {
        "desc": "添加委员会成员",
        "constant": false,
        "inputs": [
            {
                "desc": "成员地址",
                "name": "commitee",
                "type": "address"
            }
        ],
        "name": "addCommitee",
        "outputs": [],
        "payable": false,
        "stateMutability": "nonpayable",
        "type": "function"
    },
    {
        "desc": "根据交易ID查询委员是否确认",
        "constant": true,
        "inputs": [
            {
                "name": "",
                "type": "uint256",
                "desc": "交易ID"
            },
            {
                "name": "",
                "type": "address",
                "desc": "委员地址"
            }
        ],
        "name": "confirmations",
        "outputs": [
            {
                "name": "",
                "type": "bool"
            }
        ],
        "payable": false,
        "stateMutability": "view",
        "type": "function"
    },
    {
        "desc": "根据交易ID查询交易数据",
        "constant": true,
        "inputs": [
            {
                "desc": "交易ID",
                "name": "",
                "type": "uint256"
            }
        ],
        "name": "transactions",
        "outputs": [
            {
                "name": "destination",
                "type": "address"
            },
            {
                "name": "value",
                "type": "uint256"
            },
            {
                "name": "executed",
                "type": "bool"
            }
        ],
        "payable": false,
        "stateMutability": "view",
        "type": "function"
    },
    {
        "desc": "提交并确认交易",
        "constant": false,
        "inputs": [
            {
                "desc": "转帐目的地址",
                "name": "destination",
                "type": "address"
            },
            {
                "desc": "转帐数额",
                "name": "value",
                "type": "uint256"
            }
        ],
        "name": "submitTransaction",
        "outputs": [
            {
                "desc": "交易ID",
                "name": "transactionId",
                "type": "uint256"
            }
        ],
        "payable": false,
        "stateMutability": "nonpayable",
        "type": "function"
    },
    {
        "desc": "确认交易",
        "constant": false,
        "inputs": [
            {
                "desc": "交易ID",
                "name": "transactionId",
                "type": "uint256"
            }
        ],
        "name": "confirmTransaction",
        "outputs": [],
        "payable": false,
        "stateMutability": "nonpayable",
        "type": "function"
    },
    {
        "desc": "撤销确认交易",
        "constant": false,
        "inputs": [
            {
                "desc": "交易ID",
                "name": "transactionId",
                "type": "uint256"
            }
        ],
        "name": "revokeConfirmation",
        "outputs": [],
        "payable": false,
        "stateMutability": "nonpayable",
        "type": "function"
    },
    {
        "desc": "查询交易ID是否已确认",
        "constant": true,
        "inputs": [
            {
                "desc": "交易ID",
                "name": "transactionId",
                "type": "uint256"
            }
        ],
        "name": "isConfirmed",
        "outputs": [
            {
                "name": "",
                "type": "bool"
            }
        ],
        "payable": false,
        "stateMutability": "view",
        "type": "function"
    },
    {
        "desc": "查询交易ID的确认数量",
        "constant": true,
        "inputs": [
            {
                "desc": "交易ID",
                "name": "transactionId",
                "type": "uint256"
            }
        ],
        "name": "getConfirmationCount",
        "outputs": [
            {
                "name": "count",
                "type": "uint256"
            }
        ],
        "payable": false,
        "stateMutability": "view",
        "type": "function"
    },
    {
        "desc": "根据交易ID查询已确认的成员地址",
        "constant": true,
        "inputs": [
            {
                "desc": "交易ID",
                "name": "transactionId",
                "type": "uint256"
            }
        ],
        "name": "getConfirmations",
        "outputs": [
            {
                "name": "_confirmations",
                "type": "address[]"
            }
        ],
        "payable": false,
        "stateMutability": "view",
        "type": "function"
    },
    {
        "desc": "查询最小确认数",
        "constant": true,
        "inputs": [],
        "name": "required",
        "outputs": [
            {
                "name": "",
                "type": "uint256"
            }
        ],
        "payable": false,
        "stateMutability": "view",
        "type": "function"
    },
    {
        "desc": "查询TOKEN地址",
        "constant": true,
        "inputs": [],
        "name": "token",
        "outputs": [
            {
                "name": "",
                "type": "address"
            }
        ],
        "payable": false,
        "stateMutability": "view",
        "type": "function"
    },
    {
        "desc": "查询合约账户余额",
        "constant": true,
        "inputs": [],
        "name": "getTotalBalance",
        "outputs": [
            {
                "name": "tokensCurrentlyInVault",
                "type": "uint256"
            }
        ],
        "payable": false,
        "stateMutability": "view",
        "type": "function"
    }
]